{% extends 'layout.html' %}
{% load static %}

{% block title %}
    Sign Up
{% endblock title %}

{% block content %}
{% include 'navbar.html' %}


<div class="container">
    <div class="row pt-5">
      {% if error %}
      <div class="alert alert-danger" role="alert">
          {{ error_message }}
      </div>
      {% endif %}
        <div class="col-lg-4 mb-3 d-flex justify-content-center mx-auto">
            <div class="card bg-3" style="width: 50rem;">
                <form action="{% url 'signup-admin' %}" method="post">
                {% csrf_token %}
                <div class="card-body d-flex flex-column">
                    <p class="h2 mb-4" style="text-align:center">Form pendaftaran Akun Admin</p>
                    <div class="form-group">
                        <label for="email-input">Alamat Email:</label>
                        <input type="email" class="form-control" name="email-input" id="email-input" placeholder="name@example.com">
                    </div>
                    <div class="form-group">
                        <label for="password-input">Password</label>
                        <input type="password" class="form-control" name="password-input" id="password-input">
                    </div>
                    <div class="form-group">
                        <label for="no-telp">No Telp.</label>
                        <input type="number" class="form-control" name="no-telp" id="no-telp" aria-describedby="noTelpHelp" placeholder="6212121212">
                        <small id="noTelpHelp" class="form-text text-muted">awali dengan 62 atau 0.</small>
                      </div>
                      <div class="form-group">
                        <label for="no-petugas">Nomor Petugas</label>
                        <input type="number" class="form-control" name="no-petugas" id="no-petugas">
                      </div>
                      <div class="form-group">
                        <label for="nik-input">NIK</label>
                        <input type="number" class="form-control" name="nik-input" id="nik-input" placeholder="">
                      </div>
                      <div class="form-group">
                        <label for="nama-input">Nama Panjang</label>
                        <input type="input" class="form-control" name="nama-input" id="nama-input" placeholder="">
                      </div>
                      <div class="form-group">
                        <label for="jenis-kelamin">Jenis Kelamin</label>
                        <select class="form-control" name="jenis-kelamin" id="jenis-kelamin">
                          <option value='M'>Laki-Laki</option>
                          <option value='F'>Perempuan</option>
                        </select>
                      </div>
                      <div class="form-group">
                        <label for="no-bangunan">Nomor Bangunan</label>
                        <input type="number" class="form-control" name="no-bangunan" id="no-bangunan" placeholder="">
                      </div>
                      <div class="form-group">
                        <label for="nama-jalan-input">Nama Jalan</label>
                        <input type="input" class="form-control" name="nama-jalan-input" id="nama-jalan-input" aria-describedby="nama-jalan-help" placeholder="">
                        <small id="nama-jalan-help" class="form-text text-muted">awali dengan Jl.</small>  
                    </div>
                    <div class="form-group">
                        <label for="nama-kelurahan-input">Kelurahan</label>
                        <input type="input" class="form-control" name="nama-kelurahan-input" id="nama-kelurahan-input" placeholder="">
                    </div>
                    <div class="form-group">
                        <label for="nama-kecamatan-input">Kecamatan</label>
                        <input type="input" class="form-control" name="nama-kecamatan-input" id="nama-kecamatan-input" placeholder="">
                    </div>
                    <div class="form-group">
                        <label for="nama-kabupaten-input">Kabupaten/Kota Administrasi</label>
                        <input type="input" class="form-control" name="nama-kabupaten-input" id="nama-kabupaten-input" placeholder="">
                    </div>
                    <div class="form-group mb-4">
                        <label for="jenis-instansi-input">Instansi</label>
                        <select class="form-control" title="jenis-instansi-input" name="jenis-instansi-input" id="jenis-instansi-input">
                          {% for kode in kode_instansi %}
                            <option value='{{ kode.kode }}'>{{ kode.nama_instansi }}</option>
                          {% endfor %}
                        </select>
                    </div>
                    <input type="submit" class="btn btn-primary" id="confirm-button" value="Signup">
                </div>
              </form>
            </div>
        </div>
    </div>
</div>

{% endblock content %}
